<?php
  ///////////////////////////////////////////////////
  //перемещение строк вверх/вниз
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['pas-title'];

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['pas_str_id'])) puterror2($TEXT['meet-err-edit2']);
  if(strlen($_GET['pas_str_id'])>11) puterror2($TEXT['meet-err-edit3']);
  if(empty($_GET['position'])) puterror2($TEXT['error-kat4']);
  if(strlen($_GET['position'])>5) puterror2($TEXT['error-kat5']);
  if(empty($_GET['moving'])) puterror2($TEXT['error-kat4']);
  if(strlen($_GET['moving'])>5) puterror2($TEXT['error-kat5']);
  if(empty($_GET['parent'])) $_POST['parent'] = 0;
  if(strlen($_GET['parent'])>20) puterror2($TEXT['error-kat18']);

  $_GET['position'] = rep($_GET['position']);
  $_GET['pas_str_id'] = rep($_GET['pas_str_id']);
  $_GET['moving'] = rep($_GET['moving']);

  if($_GET['moving']=="up"){
  $query_move = "SELECT pas_str_id, position FROM `tbl_pass_strukt` WHERE `position`<'".$_GET['position']."' AND `parent`='".$_GET['parent']."' ORDER BY `position` DESC LIMIT 1 ";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl51']);
   $result2_move = mysql_fetch_array($result_move);
   if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

   $query = "UPDATE `tbl_pass_strukt` SET `position`='".$result2_move['position']."' WHERE `pas_str_id`='".$_GET['pas_str_id']."' ";
   if(mysql_query($query))
   {
   $query = "UPDATE `tbl_pass_strukt` SET `position`='".$_GET['position']."' WHERE `pas_str_id`='".$result2_move['pas_str_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
          </head></html>";
      } else puterror2($TEXT['error-tbl51']);
    } else puterror2($TEXT['error-tbl51']);
  }
  else
  {
  $query_move = "SELECT pas_str_id, position FROM `tbl_pass_strukt` WHERE `position`>'".$_GET['position']."' AND `parent`='".$_GET['parent']."' ORDER BY `position` LIMIT 1";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl40']);
   $result2_move = mysql_fetch_array($result_move);
  if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

  $query = "UPDATE `tbl_pass_strukt` SET `position`='".$_GET['position']."' WHERE `pas_str_id`='".$result2_move['pas_str_id']."' ";
  if(mysql_query($query))
  {
   $query = "UPDATE `tbl_pass_strukt` SET `position`='".$result2_move['position']."' WHERE `pas_str_id`='".$_GET['pas_str_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
          </head></html>";
      } else puterror2($TEXT['error-tbl51']);
    } else puterror2($TEXT['error-tbl51']);
  }
  require_once "../util/bottom.php";
?>